<?php

namespace Drupal\eca_webform\Event;

/**
 * Provides message custom event for eca_webform.
 *
 * @package Drupal\eca_webform\Event
 */
class MessageCustom extends WebformBaseEvent {

  /**
   * The operation.
   *
   * @var string
   */
  protected string $operation;

  /**
   * The message id.
   *
   * @var string
   */
  protected string $id;

  /**
   * Constructs the MessageCustom event.
   *
   * @param string $operation
   *   The operation.
   * @param string $id
   *   The message id.
   */
  public function __construct(string $operation, string $id) {
    $this->operation = $operation;
    $this->id = $id;
  }

  /**
   * The operation.
   *
   * @return string
   *   The operation.
   */
  public function getOperation(): string {
    return $this->operation;
  }

  /**
   * The message id.
   *
   * @return string
   *   The message id.
   */
  public function getId(): string {
    return $this->id;
  }

}
